public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/qt:master commit in: media-video/xvideoservicethief/, eclass/
@ 2012-05-21 23:42 Davide Pesavento
  0 siblings, 0 replies; only message in thread
From: Davide Pesavento @ 2012-05-21 23:42 UTC (permalink / raw
  To: gentoo-commits

commit:     f9dc6ad9b309e51dd1bc50c1cac130f7fc851a5f
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Mon May 21 23:40:30 2012 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Mon May 21 23:40:30 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=f9dc6ad9

[qt4-r2.eclass] Rename prepare_translations to qt4-r2_install_translations.

---
 eclass/qt4-r2.eclass                               |    6 +++---
 .../xvideoservicethief-9999.ebuild                 |   17 +++++++++--------
 2 files changed, 12 insertions(+), 11 deletions(-)

diff --git a/eclass/qt4-r2.eclass b/eclass/qt4-r2.eclass
index 362ceaf..a29428b 100644
--- a/eclass/qt4-r2.eclass
+++ b/eclass/qt4-r2.eclass
@@ -153,7 +153,7 @@ qt4-r2_src_install() {
 
 	# install translations
 	# need to have specified LANGS or LANGSLONG for this to work
-	[[ -n ${LANGS} || -n ${LANGSLONG} ]] && prepare_translations
+	[[ -n ${LANGS} || -n ${LANGSLONG} ]] && qt4-r2_install_translations
 }
 
 # @FUNCTION: eqmake4
@@ -303,11 +303,11 @@ _find_project_file() {
 	esac
 }
 
-# @FUNCTION: prepare_translations
+# @FUNCTION: qt4-r2_install_translations
 # @DESCRIPTION:
 # Choose and install translation files. Normally you don't need to call
 # this function directly as it is called from qt4-r2_src_install.
-prepare_translations() {
+qt4-r2_install_translations() {
 	debug-print-function $FUNCNAME "$@"
 
 	# @VARIABLE: TRANSLATIONSDIR

diff --git a/media-video/xvideoservicethief/xvideoservicethief-9999.ebuild b/media-video/xvideoservicethief/xvideoservicethief-9999.ebuild
index d82578f..a0167a3 100644
--- a/media-video/xvideoservicethief/xvideoservicethief-9999.ebuild
+++ b/media-video/xvideoservicethief/xvideoservicethief-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
@@ -6,7 +6,7 @@ EAPI="2"
 
 LANGS="br ca cs da de es fr gl hu it ja ko nl pl ro ru sv"
 
-inherit qt4-r2 versionator subversion
+inherit eutils qt4-r2 versionator subversion
 
 MY_PN="xVST"
 MY_PV=$(replace_all_version_separators '_')
@@ -27,7 +27,7 @@ RDEPEND="x11-libs/qt-gui:4
 	media-video/ffmpeg
 	media-video/flvstreamer"
 
-S="${WORKDIR}"
+S=${WORKDIR}
 TRANSLATIONSDIR="${S}/resources"
 
 src_prepare() {
@@ -44,13 +44,15 @@ src_prepare() {
 
 	# fix plugins, language path
 	sed -i -e "s/getApplicationPath()\ +\ \"/\"\/usr\/share\/${PN}/g" \
-	"${S}"/src/options.cpp || die "failed to fix paths"
+		"${S}"/src/options.cpp || die "failed to fix paths"
+
 	qt4-r2_src_prepare
 }
 
 src_compile() {
+	qt4-r2_src_compile
+
 	local lang=
-	emake || die "emake failed"
 	for lang in "${S}"/resources/translations/*.ts; do
 		lrelease ${lang}
 	done
@@ -63,11 +65,10 @@ src_install() {
 	make_desktop_entry /usr/bin/xvst xVideoServiceThief xvst 'Qt;AudioVideo;Video' \
 		|| die "make_desktop_entry failed"
 
-	#install plugins
+	# install plugins
 	local dest=/usr/share/${PN}/plugins
 	dodir ${dest}
 	find resources/services -name '*.js' -exec cp -dpR {} "${D}"${dest} \;
 
-	#install translations
-	prepare_translations
+	qt4-r2_install_translations
 }



^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2012-05-21 23:42 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-05-21 23:42 [gentoo-commits] proj/qt:master commit in: media-video/xvideoservicethief/, eclass/ Davide Pesavento

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox